<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1MovablePlane.html">MovablePlane</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::MovablePlane Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a20139173e816c296ab46d0548d1d4902">_getAnimableValueNames</a>(void)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abc4d3c30d2b50267a348f8d5aee3c5e4">_getCreator</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a765d615e629c1a428142a19ab6a02396">_getDerivedPlane</a>(void) const </td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf4f61aeb45d61195c248757e3d1c6fe">_getLightList</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c95a392476c6b54be1648a77f2a56c0">_getManager</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aab6d217065c5d2968ef0cc2586a0db86">_getParentNodeFullTransform</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aeb13418fe2740ed8ebc52cd9667fca41">_notifyAttached</a>(Node *parent, bool isTagPoint=false)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a06f161ae0451be7eaa67e77c296d5631">_notifyCreator</a>(MovableObjectFactory *fact)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a6d0680e3e68f81a9498c30d5257d4293">_notifyCurrentCamera</a>(Camera *)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af730ac3ee4a51ee69f4221298f933e8a">_notifyManager</a>(SceneManager *man)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ae307c64b6e130191e45d48df0e2c5961">_notifyMoved</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a68ae3348d74c55872c29d54a19ede2cf">_updateRenderQueue</a>(RenderQueue *)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a146b6b8afa6de9a2058f730aa3f7b25c">addQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adff2fa7a7c56ba06d25d2dfa376fd677">addVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2ea54bb7c39f7640f71be8bb2f8b0a5">AnimableDictionaryMap</a> typedef</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#acc4f830de60e226fbed772610eea93a4">AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bca44420e1c49338ae721f298826e164935">BOTH_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a83629c5c4708cebd10c358a4be0722f5">createAnimableDictionary</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ab2cfac9af1b0d71c780ec969166b3585">createAnimableValue</a>(const String &amp;valueName)</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a8e7de1712320968bee111002bc2938b8">d</a></td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab53cc49d402913fde37fa4976f5bfdd5">detachFromParent</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a136dfd54b581a6dc58a1796a1cdf6cdc">extrudeBounds</a>(AxisAlignedBox &amp;box, const Vector4 &amp;lightPos, Real extrudeDist) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#acae2215c051989d544f34083a0a9bfa2">extrudeVertices</a>(const HardwareVertexBufferSharedPtr &amp;vertexBuffer, size_t originalVertexCount, const Vector4 &amp;lightPos, Real extrudeDist)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a396374525d65e0db10c7f7f8d380744a">generateShadowVolume</a>(EdgeData *edgeData, const HardwareIndexBufferSharedPtr &amp;indexBuffer, const Light *light, ShadowRenderableList &amp;shadowRenderables, unsigned long flags)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a7748b5ea03ba5eb10fdd79e455f96443">getAnimableDictionaryName</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a4239d192b2b08c4970dfaa22ce5a0cd0">getAnimableValueNames</a>(void) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#afa11bf26dca26f035326d8b3d29f9b97">getBoundingBox</a>(void) const </td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a204ccd522575f1008417a0fcf5bd5a83">getBoundingRadius</a>(void) const </td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70bca10cdeac93142d9f93ed0cf9c4c5">getCastShadows</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af06612d0607ebcf1bf5eb817c3038d52">getDarkCapBounds</a>(const Light &amp;light, Real dirLightExtrusionDist) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a01f48775e48b672d7796311f3ffe2930">getDefaultQueryFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2eb94fea5944cf0d33702a75cfa14a74">getDefaultVisibilityFlags</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a9548b13f88e65d98ea08ba01c8f2fad1">getDistance</a>(const Vector3 &amp;rkPoint) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a60b24cd45c8df45654dcfa14a1293a3b">getEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a233233e14ccb869b6cafd655880355df">getExtrusionDistance</a>(const Vector3 &amp;objectPos, const Light *light) const </td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af061175eb50a6aa98599ce0a748204b5">getLightCapBounds</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a538d975b35be25e7d705b6310ec3d84d">getLightMask</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf305fd600ec68543ed68e0c0cef6196">getListener</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a377e586a9455e63a80bc4faff57b25dc">getMovableType</a>(void) const </td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2c681d880b842c1b6d2c2b30b72b6660">getName</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a7be6f35f90943c6bca0b4511e1d266d8">getParentNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0c705ecac4263b65a1b8611eeb24c39a">getParentSceneNode</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abb13b8e1b52d9dca9f5190f718686a5e">getPointExtrusionDistance</a>(const Light *l) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c40b9b7d9f3231f9ba16a3514f7495a">getQueryFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8f2627b8d1658838a7c79c82148c6303">getReceivesShadows</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a97501f320f00fb5255d76fe3b20903d2">getRenderingDistance</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1025983039f59637e9dde740b5013175">getRenderingMinPixelSize</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a12ca5ddb4ca9e77612b6e8a10e4f3d70">getRenderQueueGroup</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4492fa817bb3a750d349aeec34c19c43">getShadowVolumeRenderableIterator</a>(ShadowTechnique shadowTechnique, const Light *light, HardwareIndexBufferSharedPtr *indexBuffer, bool extrudeVertices, Real extrusionDist, unsigned long flags=0)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#ae0131ee8cf1c09587c5cc4541c3b6297">getSide</a>(const Vector3 &amp;rkPoint) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#ab60532827d305cb7848f540be2cfb66b">getSide</a>(const AxisAlignedBox &amp;rkBox) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa8a0b3abc05dcc47ef7ce79d98fb8a99">getSide</a>(const Vector3 &amp;centre, const Vector3 &amp;halfSize) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a32c637889b8a4138d2008aece76f42b6">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a70a42d28867f1559f1bd71baf31f83e4">getUserAny</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aaac5bf65835f733433f3338132f2f01f">getUserObjectBindings</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#abbf5cf5545c219ce9be1997ff5dd2204">getUserObjectBindings</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5ca10844726d16c8ed47395a6b22d33a">getVisibilityFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adbc3ce687f4def00d70f15dc0a2330ea">getVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acc31c877990c3c231c4b4cfb0522bef8">getWorldBoundingBox</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2f6db9f0db4038e6544d703a9f3bcf53">getWorldBoundingSphere</a>(bool derive=false) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7c2a8be6a9bd59e6c69ee2d76945500">hasEdgeList</a>(void)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a80abf1736a4241c432b30d2073c7a263">initialiseAnimableDictionary</a>(StringVector &amp;) const </td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad2c50ff1546dfac42f0751aa1bb54ff3">isAttached</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a39cfd5b78a4326156accf5ed3146ddc6">isDebugDisplayEnabled</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a605cb18ec6d5971e19491ec71c89afeb">isInScene</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aff1706913baf992f108cc0fe4c95a53b">isParentTagPoint</a>() const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aebb41fb7484f365c18e78103517b0d25">isVisible</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1f6c5390b42b10e00d3b21b8911aa3f4">mBeyondFarDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad21e8a5a6f0eeeefa3ec698781eaa3fa">mCastShadows</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a884d3c2c8c8d8305f59eb171a7f56e56">mCreator</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac439108451539e95ac9829ab6520306c">mDebugDisplay</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#ab418c04fe6256374b4c9646a6da4e43b">mDerivedPlane</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#ad8f054ccf0f2c7ec0662bf29c83f2c52">mDirty</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a116c680731053e84575e63a99c5480d9">mLastRotate</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a1a931f127eec4fa7bc25d94c7407497e">mLastTranslate</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2626ce2a2f1c78027634cc92dfd2b211">mLightList</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af083212ba58f26eb7c747a0da749cc08">mLightListUpdated</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3db70b0c8b2e53a3c71671217e5a516c">mLightMask</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a07fdbfc4ae0adb48f7619c0a44bd3890">mListener</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a5c05f316d061761a08fc036daedd0649">mManager</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a56e7d5ccac2877061b0919648f7f0b34">mMinPixelSize</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a41954f454246b2935cdc90ab2f36dab8">mName</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#ad5f6825e61579ef77a0425d2855817ae">mNullBB</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a14cee569be7975c5fb0be006a294eee8">MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a4289fbdfe280c454f62f0f780d734817">MovableObject</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#acf7b2338e5e34db6aad4d0d2e5d98468">MovablePlane</a>(const String &amp;name)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a09148e57a66b91ef450e310752fd7153">MovablePlane</a>(const Plane &amp;rhs)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a1e8880edd02253c315d394a20fe50c08">MovablePlane</a>(const Vector3 &amp;rkNormal, Real fConstant)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#af585511e87dfdde4c4ab06dbe9d32150">MovablePlane</a>(const Vector3 &amp;rkNormal, const Vector3 &amp;rkPoint)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a707aa1d494f291a9d9b25f7998f08df9">MovablePlane</a>(const Vector3 &amp;rkPoint0, const Vector3 &amp;rkPoint1, const Vector3 &amp;rkPoint2)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9f9b9e6981ef7ebbd6b9d82e93a2b299">mParentIsTagPoint</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a961db9b5f439708e0f24cb8dbeb9c728">mParentNode</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adf36b5bfcc9bce768bc5f8a9ed6b1464">mQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad1291c87111d8944b2c49904a4d6280b">mRenderingDisabled</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa63b5c1cf9746a4caeb2a47a6bc1d2d6">mRenderQueueID</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2051828f33ea6c921e2979c8f00daa3f">mRenderQueueIDSet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa34e0feb87409120726a489f52b39c58">mRenderQueuePriority</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac9ee5f673870a76b23eb5291b3fa3f28">mRenderQueuePrioritySet</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#a1e2b199b8a10c3753ebeecc8fa773620">msAnimableDictionary</a></td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#adeb3bbe50c1b6e92061461b363fc391e">msDefaultQueryFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a24f37de53688fc5432d50c7ced03bd63">msDefaultVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#afdac080d7abbc712c691bd138984ee1f">msMovableType</a></td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [protected, static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2635aafd01416e5a3346a647c2dfff52">mSquaredUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0df899bfb650d8d51be51fa5f83743f4">mUpperDistance</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#af00b75d92e7d62f5ff9bd4847d1786e8">mUserObjectBindings</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a6db376fe4c048714224392901c98c3a5">mVisibilityFlags</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e7fa9ec69253b42ff4e7605b54e1a00">mVisible</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a665c171729e2f37b66f73d0e6722ac2c">mWorldAABB</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a271b08ae4cc604657c17125f76ec62e0">mWorldBoundingSphere</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a00a9705c083b9fef8bbe762a5b1711a8">mWorldDarkCapBounds</a></td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [mutable, protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcaaf227c36d02442779fd4600d00580f5e">NEGATIVE_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcaad112821a6c39f0097136ba5df53052a">NO_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3f97462d3822f6add8c070048f6c2d92">normal</a></td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a090aae792b4fecc6e8b1b5810f029edf">normalise</a>(void)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#adae7d1d5d43cbe44cd40fc1e86784268">operator!=</a>(const Plane &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3a3cc401219af46e986952c5f6bc7959">operator&lt;&lt;</a>(std::ostream &amp;o, const Plane &amp;p)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td><code> [friend]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a06e8f4ea4698c322580c4299f6a12e07">operator==</a>(const Plane &amp;rhs) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a1530cc182a2a783e072eabe44f536149">Plane</a>()</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a1e298ca606c54a38ac5ea0df02282e62">Plane</a>(const Plane &amp;rhs)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a296599d7461accceada20df86f7bd334">Plane</a>(const Vector3 &amp;rkNormal, Real fConstant)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a6bbbefc667888c438cfbe78aaf5a5ee3">Plane</a>(Real a, Real b, Real c, Real d)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#abd98e0aae4723943f83262e59cfda535">Plane</a>(const Vector3 &amp;rkNormal, const Vector3 &amp;rkPoint)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#af8000ad8fdef98bcc7e21a9d194547a0">Plane</a>(const Vector3 &amp;rkPoint0, const Vector3 &amp;rkPoint1, const Vector3 &amp;rkPoint2)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bcac5f2b56ac439b77aad6dfc4031891be5">POSITIVE_SIDE</a> enum value</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a54e83c81355e526a2b02d02625d42c4c">projectVector</a>(const Vector3 &amp;v) const </td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2d4c926ce07f3a1cb0e59d9d60aac76b">queryLights</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a3edb29b896bac43b3a199460123e94b2">redefine</a>(const Vector3 &amp;rkPoint0, const Vector3 &amp;rkPoint1, const Vector3 &amp;rkPoint2)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#a74dab1f3fb059277cd477aa683b238f7">redefine</a>(const Vector3 &amp;rkNormal, const Vector3 &amp;rkPoint)</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8e039c80d31e36c17f4e7fc85e5c6cdc">removeQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab7bebfd93631ffe82f95ad7c73b77e24">removeVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#acbfc4840224e8b6ed6e27849d3341675">setCastShadows</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a2b559ddd8df033cafa5d64502c7d0c3a">setDebugDisplayEnabled</a>(bool enabled)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ad8db1f22329b2a96f2aed7260d565944">setDefaultQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac2904cb122ab8c8d5066abefb29dfa96">setDefaultVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a0b7dc685c1dc7ec4dd677750d17ee145">setLightMask</a>(uint32 lightMask)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9efbb3928b834d4f125303698034951e">setListener</a>(Listener *listener)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#aa202386b8336ed756c3bd1ff5a74f54d">setQueryFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a3774342d37fb670430d834aa914a3be5">setRenderingDistance</a>(Real dist)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9ad2786aa67624f26c7ff245c673ad5e">setRenderingMinPixelSize</a>(Real pixelSize)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ac5e898937867475e52d350d1f4d75e32">setRenderQueueGroup</a>(uint8 queueID)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a38cf564fe839d40a81ba5155d363b7aa">setRenderQueueGroupAndPriority</a>(uint8 queueID, ushort priority)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#ab07068e26732de24aaf24330e9d0ec81">setUserAny</a>(const Any &amp;anything)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a9421323e0ef6082d8a293aef0ba4666d">setVisibilityFlags</a>(uint32 flags)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a8b0ab29b6a7e94169e2b3fde0be7cf10">setVisible</a>(bool visible)</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ad84ea1b2728ced5136add26c91c39a27">ShadowRenderableList</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#a7b0999d33e25db97d0449d6cf95cbecd">ShadowRenderableListIterator</a> typedef</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1Plane.html#aa5d44b14d6f032f3e0a26e83589180bc">Side</a> enum name</td><td><a class="el" href="classOgre_1_1Plane.html">Ogre::Plane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#ac9a881430ec7769923f63f6df4b93d33">updateEdgeListLightFacing</a>(EdgeData *edgeData, const Vector4 &amp;lightPos)</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#a8f7adfc984a3b93cb87ea36286ce2a52">visitRenderables</a>(Renderable::Visitor *visitor, bool debugRenderables=false)</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AnimableObject.html#ac61ca9c912e6b00bbe4fdd9ee0e56079">~AnimableObject</a>()</td><td><a class="el" href="classOgre_1_1AnimableObject.html">Ogre::AnimableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObject.html#a1157924b0023b8d6e126723d27bd3774">~MovableObject</a>()</td><td><a class="el" href="classOgre_1_1MovableObject.html">Ogre::MovableObject</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovablePlane.html#aa455a864932accb9c98744f1a88ddfa4">~MovablePlane</a>()</td><td><a class="el" href="classOgre_1_1MovablePlane.html">Ogre::MovablePlane</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ShadowCaster.html#aa09c6e22f9879c123355bca19c1b7131">~ShadowCaster</a>()</td><td><a class="el" href="classOgre_1_1ShadowCaster.html">Ogre::ShadowCaster</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
